probe::signal.checkperm
Prev | Chapter 17. Signal Tapset | Next

## Name

probe::signal.checkperm — Check being performed on a sent signal

## Synopsis

    signal.checkperm

## Values

`sinfo`

  The address of the siginfo structure

`sig_name`

  A string representation of the signal

`sig`

  The number of the signal

`task`

  A task handle to the signal recipient

`si_code`

  Indicates the signal type

`sig_pid`

  The PID of the process receiving the signal

`name`

  Name of the probe point

`pid_name`

  Name of the process receiving the signal

Prev | Up | Next
probe::signal.check_ignored.return | Home | probe::signal.checkperm.return